package com.ruoyi.projectChbWxf.service;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.projectChbWxf.domain.KzksProjectChbWxf;

/**
 * 外协费Service接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface IKzksProjectChbWxfService 
{
    /**
     * 查询外协费
     * 
     * @param id 外协费主键
     * @return 外协费
     */
    public KzksProjectChbWxf selectKzksProjectChbWxfById(String id);

    /**
     * 查询外协费列表
     * 
     * @param kzksProjectChbWxf 外协费
     * @return 外协费集合
     */
    public List<KzksProjectChbWxf> selectKzksProjectChbWxfList(KzksProjectChbWxf kzksProjectChbWxf);

    /**
     * 新增外协费
     * 
     * @param kzksProjectChbWxf 外协费
     * @return 结果
     */
    public int insertKzksProjectChbWxf(KzksProjectChbWxf kzksProjectChbWxf);

    /**
     * 修改外协费
     * 
     * @param kzksProjectChbWxf 外协费
     * @return 结果
     */
    public int updateKzksProjectChbWxf(KzksProjectChbWxf kzksProjectChbWxf);

    /**
     * 批量删除外协费
     * 
     * @param ids 需要删除的外协费主键集合
     * @return 结果
     */
    public int deleteKzksProjectChbWxfByIds(String[] ids);

    /**
     * 删除外协费信息
     * 
     * @param id 外协费主键
     * @return 结果
     */
    public int deleteKzksProjectChbWxfById(String id);

    /**
     * 根据科研任务号获取外协费总和
     *
     * @param taskno 任务号
     * @return 结果
     */
    BigDecimal selectWxfByTaskno(String taskno);
}
